<?php
require'f_galerie.php';
$titlu='Comenteaza poza '.$pid;
require'f_sus.php';
require'f_mut.php';
require'f_blocat.php';
if(blocat($pmtext))
{
$tip='comentariu la poza '.$pid;
$text=$pmtext;
require'f_ban.php';
}
if($conn->query('SELECT COUNT(*)FROM`ignorati`WHERE`la`="'.$de.'"&&`de`="'.$pinfo[1].'"')->fetch_row()[0]==0)
{
require'f_spam.php';
if(($pmtext!=''&&$conn->query('SELECT COUNT(*)FROM`galerie_comentarii`WHERE`text`="'.$pmtext.'"&&`de`="'.$de.'"&&`pid`="'.$pid.'"')->fetch_row()[0]==0&&$conn->query('SELECT`de`FROM`galerie_comentarii`WHERE`pid`="'.$pid.'"ORDER BY`data`DESC LIMIT 1')->fetch_row()[0]!=$de?$conn->query('INSERT INTO`galerie_comentarii`SET`de`="'.$de.'",`pid`="'.$pid.'",`text`="'.$pmtext.'",`pret`="'.$pinfo[10].'",`data`="'.$_SERVER['REQUEST_TIME'].'",`raportat`="'.(spam($pmtext)&&!in_array($de,$id_proprietari)?$id_robot:0).'"'):false))
{
$id_comentariu=$conn->insert_id;
if($pinfo[10]>0&&$pinfo[1]!=$de)
{
$conn->query('UPDATE`membrii`SET`lei`=lei-'.$pinfo[10].' WHERE`id`="'.$pinfo[1].'"');
$conn->query('UPDATE`membrii`SET`lei`=lei+'.$pinfo[10].' WHERE`id`="'.$de.'"');
}
$x1='<!-- poza'.$pid.' -->';
if($pinfo[12]>0)
$x1.='[br/]Din albumul [url=/poze-membru/la/'.$pinfo[1].'-'.seo(nume($pinfo[1],1)).'/album/'.$pinfo[12].'-'.seo($finfo[1]).'][img='.$imagine_album[$finfo[2]].']'.$finfo[1].'[/url]';
require'f_notificare.php';
if($de!=$pinfo[1])
notificare('ti-am scris [url=/comentarii-poza/id/'.$pid.'/tip/'.$id_comentariu.']comentariul[/url][br/]'.$pmtext.'[br/] la poza [url=/poza/id/'.$pid.'][img=/'.$pinfo[5].']asta[/url]!'.$x1,$pinfo[1],$de);
$abonati[0]=$de;
$items=$conn->query('SELECT DISTINCT`de`FROM`galerie_comentarii`WHERE`pid`="'.$pid.'"&&`de`!="'.$de.'"&&`de`!="'.$pinfo[1].'"');
while($item=$items->fetch_row())
{
$abonati[]=$item[0];
}
$items=$conn->query('SELECT DISTINCT`de`FROM`galerie_aprecieri`WHERE`pid`="'.$pid.'"&&`de`!="'.$de.'"&&`de`!="'.$pinfo[1].'"');
while($item=$items->fetch_row())
{
$abonati[]=$item[0];
}
$items=$conn->query('SELECT DISTINCT`de`FROM`galerie_note`WHERE`pid`="'.$pid.'"&&`de`!="'.$de.'"&&`de`!="'.$pinfo[1].'"');
while($item=$items->fetch_row())
{
$abonati[]=$item[0];
}
$abonati=array_unique($abonati);
unset($abonati[0]);
foreach($abonati AS$cheie=>$valoare)
{
notificare('am scris și eu [url=/comentarii-poza/id/'.$pid.'/tip/'.$id_comentariu.']comentariul[/url][br/]'.$pmtext.'[br/] la poza [url=/poza/id/'.$pid.'][img=/'.$pinfo[5].']asta[/url]!'.$x1,$valoare,$de);
}
$conn->query('INSERT INTO`evenimente`SET`text`="i-a scris [url=/comentarii-poza/id/'.$pid.'/tip/'.$id_comentariu.']comentariul[/url][br/]'.$pmtext.'[br/] la [url=/poza/id/'.$pid.'][img='.($pinfo[12]==0?'/'.$pinfo[5]:$imagine_album[$finfo[2]]).']această poză[/url] lui",`de`="'.$de.'",`la`="'.$pinfo[1].'",`data`="'.$_SERVER['REQUEST_TIME'].'",`tip`="1"');
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Comentariu adaugat'.($pinfo[10]>0?', iar tu ai primit de la '.nume($pinfo[1]).' <strong>'.$pinfo[10].'</strong> lei':'').'!<br />Vei primi notificari cand primește comentarii noi!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai scris nimic, comentariul anterior a fost scris tot de tine, sau ai mai scris acest text intr-un alt comentariu la aceasta poza!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu poți comenta aceasta poza, deoarece '.nume($pinfo[1]).' te are în lista cu persoane ignorate!';
echo$div[0];
require'f_jos.php';